doctype html
html
    head
        meta(charset='UTF-8')
        title co2data.pvos.org
        link(rel='stylesheet', href='/style.css')

body

//<img src="/images/bayou_favicon.png">

h1 <a href="/">co2data.pvos.org</a><br>

//p.banner <a href="">View Bayou-CO2 source code</a> &nbsp | &nbsp <a href="https://edgecollective.io/posts/notes/co2/">Buy or Build an Open Hardware CO2 Monitor</a> 

p.blurblarger <b><a href="/">co2data.pvos.org</a></b> provides a simple, 'free and open source' database system for storage and retrieval of CO2 sensor data.

li.boxsmaller - Easy to set up
li.boxsmaller - Send data from any device via HTTP POST
li.boxsmaller - Access data as graphs, CSV, or JSON
li.boxsmaller - <a href="https://gitlab.com/p-v-o-s/co2/bayou-co2">Source code available</a> (GPL 3.0)
li.boxsmaller - Funded on a pay-as-you-can basis via <a href="https://opencollective.com/pvos">Open Collective</a> -- Cheers!

p.blurblarger  <b><a href="/">co2data.pvos.org</a></b> is compatible with a <a href="/">wide variety</a> of microcontroller hardware -- including our <a href="https://edgecollective.io/posts/notes/co2/">Open Hardware CO2 Monitoring Kit</a> (CERN Open Hardware License v2), which you can build yourself or buy pre-assembled from <a href="http://pvos.org">PVOS.org</a>.

//p.blurblarger You can use your own DIY CO2 sensor design to send data to Bayou-CO2 via HTTP POST (learn more about how to do this <a href="">here</a>.)

//p.blurblarger We have also created a <a href="">reference design (CERN OHv2)</a> for an <a href="https://edgecollective.io/posts/notes/co2/">Open Hardware CO2 Monitoring Kit</a> . You can build the design yourself, or purchase one from us pre-assembled and pre-programmed to send data to Bayou-CO2. 

p
p

//h1 Getting Started with co2data.pvos.org<br>

h2 <a name="step1"></a> 1. Create a new CO2 data feed

p.blurb Enter a name for your new feed, and you'll be provided with your new feed's <b>PUBLIC KEY</b> and <b>PRIVATE KEY</b>. Copy them down somewhere safe! (Read more about this <a href=""e>here</a>.)
form(action='/manage' method='POST')
    fieldset
        h3 Create a New CO2 Data Feed
        //label New Feed Name: 
        //input#feed_name(type='text' name='feed_name' placeholder='Living room, Northwest side' required='')
        //br
        //br
        button(type='submit') Create new feed

//<hr>  

h2 <a name="step2"></a> 2. Send CO2 data to your new feed

p.subheading <b>... via the browser (quick test):</b>

p.blurb You can send test CO2 data to your new feed by entering your feed's <b>PUBLIC KEY</b> and <b>PRIVATE KEY</b>:

form(action='/formdata/test/' method='POST')
    fieldset
        h3 Send Test Data To Your CO2 Data Feed
        label Feed Public Key: 
        input#feed_name(type='text' name='feed_pubkey' placeholder='Your Feed\'s PUBLIC KEY' required='')
        br
        label Feed Private Key: 
        input#feed_name(type='text' name='feed_privkey' placeholder='Your Feed\'s PRIVATE KEY' required='')
        br
        label Test CO2 Data: 
        input#feed_name(type='text' name='co2' placeholder='410' required='')
        br
        br
        button(type='submit') Send test data

p.subheading <b>... or via your favorite hardware:</b>

p.blurb  A wide variety of microcontrollers, CO2 sensors, and programming frameworks can be used to send data to Bayou-CO2. You can read (or contribute to!) guidelines for doing this <a href="">here</a>. 

p.kit <img src="/images/compatibility.png">

p.subheading <b>... or via our DIY hardware design:</b>

p.blurb We have developed an <a href="https://edgecollective.io/posts/notes/co2/">Open Hardware CO2 monitoring kit</a>, based on the popular WiFi+Bluetooth <a href="https://en.wikipedia.org/wiki/ESP32">Espressif ESP32 microcontroller</a> and the <a href="https://www.sensirion.com/en/environmental-sensors/carbon-dioxide-sensors/carbon-dioxide-sensors-co2/">Sensiron SCD30 CO2 sensor</a>. The design files and assembly guides <a href="">are all available</a> (CERN Open Hardware License v2), or you can purchase one pre-assembled and pre-programmed to send data to Bayou-CO2.

p.kit <a href="https://edgecollective.io/posts/notes/co2/">Build or Purchase a PVOS CO2 Monitoring Kit</a>

p.kit <a href="https://edgecollective.io/posts/notes/co2/"><img src="/images/rev_e_built.png"></a>

//<hr>  

h2 <a name="step3"></a>3. View your CO2 data

p.subheading <b>... via a form:</b>

p.blurb Or, you can enter your <b>PUBLIC KEY</b> in the form below to go to its home page. At the feed's home page, you'll find links to graphs, JSON, and CSV for the feed data.

form(action='/formData' method='POST')
    fieldset
        h3 View an Existing CO2 Data Feed
        label Feed Public Key: 
        input#feed_id_page(type='text' name='feed_id' placeholder='Your Feed\'s Public Key' required='')
        br
        br
        // <button type ="reset">Reset</button>
        button(type='submit') View Data

p.subheading <b>... or via simple links:</b>

p.blurb You can retrieve CO2 data (as graphs, JSON, and CSV) using your feed's <b>PUBLIC KEY</b>.  They'll always be available (and free for you to share) at the following links:

pre
    code
        p <b>Feed Home:</b> http://co2data.pvos.org/data/[PUBLIC KEY] <br>
        p <b>Feed as JSON:</b> http://co2data.pvos.org/data/[PUBLIC KEY]/json <br>
        p <b>Feed as CSV:</b> http://co2data.pvos.org/data/[PUBLIC KEY]/csv <br>
        //p <b>Feed graphs:</b> http://data.pvos.org/data/[PUBLIC KEY]/graphs <br>

<hr>